Skip site navigation (1) Skip section navigation (2)

Re: -HEAD pg_dumpall broken against older backends

From: Andrew Dunstan <andrew(at)dunslane(dot)net>
To: Peter Eisentraut <peter_e(at)gmx(dot)net>
Cc: pgsql-patches(at)postgresql(dot)org, Stefan Kaltenbrunner <stefan(at)kaltenbrunner(dot)cc>
Subject: Re: -HEAD pg_dumpall broken against older backends
Date: 2006-03-29 17:48:13
Message-ID: 442AC85D.4030906@dunslane.net (view raw or flat)
Thread:
Lists: pgsql-patches
Peter Eisentraut wrote:
> Stefan Kaltenbrunner wrote:
>   
>> looks like somebody forgot to test some changes to the pg_dumpall
>> code in Revision 1.70 against <8.1 installations -  resulting in the
>> following syntax error:
>>     
>
> Dump output is never expected to be backward compatible.
>
>   

We don't expect pg_dumpall to be issuing invalid SQL at any time, 
though. That's what Stefan has uncovered. The code in question is only 
called when it's run against an older server.

cheers

andrew

In response to

pgsql-patches by date

Next:From: Stefan KaltenbrunnerDate: 2006-03-29 17:58:37
Subject: Re: -HEAD pg_dumpall broken against older backends
Previous:From: Tom LaneDate: 2006-03-29 17:48:10
Subject: Re: -HEAD pg_dumpall broken against older backends

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group